unit uDialogOpcionesImpresionPedidosProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uDialogBase, ActnList, StdCtrls, ExtCtrls;

type
  TfDialogOpcionesImpresionPedidosProveedor = class(TfDialogBase)
    cbVerPrecios: TCheckBox;
    cbVerRefProveedor: TCheckBox;
    procedure actAceptarExecute(Sender: TObject);
    procedure actCancelarExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function ElegirOpcionesImpresionPedidoProveedor(var AVerPrecios : Boolean; var AVerRefProveedor : Boolean): Boolean;

implementation

{$R *.dfm}

function ElegirOpcionesImpresionPedidoProveedor(var AVerPrecios : Boolean; var AVerRefProveedor : Boolean): Boolean;
var
  AEditor : TfDialogOpcionesImpresionPedidosProveedor;
begin
  AEditor := TfDialogOpcionesImpresionPedidosProveedor.Create(NIL);
  try
    AEditor.cbVerPrecios.Checked := AVerPrecios;
    AEditor.cbVerRefProveedor.Checked := AVerRefProveedor;

    Result := (AEditor.ShowModal = mrOk);
    if Result then
    begin
      AVerPrecios := AEditor.cbVerPrecios.Checked;
      AVerRefProveedor := AEditor.cbVerRefProveedor.Checked;
    end;
  finally
    AEditor.Release;
  end;
end;

procedure TfDialogOpcionesImpresionPedidosProveedor.actAceptarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrOk
end;

procedure TfDialogOpcionesImpresionPedidosProveedor.actCancelarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrCancel;
end;

end.
